import {request} from '@zhgkpt/utils'
/**
 * 请求首页数据
 * 
 * @url /order/totaldata
 * @method get
 */
// export function totaldata() {
//   return request.get('/order/totaldata')
// }
/**
 * 请求总览风险预警
 * 
 * @url /order/totaldata
 * @method get
 */
export function totaldata(params) {
  return request({
    url: '/system/zl/fxyj/list',
    method: 'get',
    params
  })
}
/**
 * 请求总览基础信息
 * 
 * @url /order/totaldata
 * @method get
 */
export function getInfo(params) {
  return request({
    url: '/system/zl/jcxx/list',
    method: 'get',
    params
  })
}
/**
 * 请求总览隐患排查进度
 * 
 * @url /order/totaldata
 * @method get
 */
export function getPcjd(params) {
  return request({
    url: '/system/zl/yhpc/pcjd/list',
    method: 'get',
    params
  })
}
/**
 * 请求总览隐患类型
 * 
 * @url /order/totaldata
 * @method get
 */
export function getYhlx(params) {
  return request({
    url: '/system/zl/yhpc/yhlx/list',
    method: 'get',
    params
  })
}
/**
 * 请求总览隐患状态
 * 
 * @url /order/totaldata
 * @method get
 */
export function getYhzt(params) {
  return request({
    url: '/system/zl/yhpc/yhzt/list',
    method: 'get',
    params
  })
}
/**
 * 请求总览自主管理
 * 
 * @url /order/totaldata
 * @method get
 */
export function getGlxs(params) {
  return request({
    url: '/system/zl/zzg/glxs/list',
    method: 'get',
    params
  })
}
/**
 * 请求总览自主管理大修基金
 * 
 * @url /order/totaldata
 * @method get
 */
export function getDxjj(params) {
  return request({
    url: '/system/zl/zzg/dxjj/list',
    method: 'get',
    params
  })
}
/**
 * 请求总览自主管理维保形式
 * 
 * @url /order/totaldata
 * @method get
 */
export function getWbxs(params) {
  return request({
    url: '/system/zl/zzg/wbxs/list',
    method: 'get',
    params
  })
}
/**
 * 请求总览警情动态
 * 
 * @url /order/totaldata
 * @method get
 */
export function getJqdt(params) {
  return request({
    url: '/system/zl/jqdt/list',
    method: 'get',
    params
  })
}
/**
 * 请求总览火灾指标
 * 
 * @url /order/totaldata
 * @method get
 */
export function getSxzb(params) {
  return request({
    url: '/system/zl/hzzb/sxzb/list',
    method: 'get',
    params
  })
}
/**
 * 请求总览火灾指标(场所，亡人，伤人，起火原因等柱状图)
 * 
 * @url /order/totaldata
 * @method get
 */
export function getQhyys(params) {
  return request({
    url: '/system/zl/hzzb/qhyy/list',
    method: 'get',
    params
  })
}
/**
 * 请求总览智慧消防
 * 
 * @url /order/totaldata
 * @method get
 */
export function getZxgjtj(params) {
  return request({
    url: '/system/zl/zhxf/zxgjtj/list',
    method: 'get',
    params
  })
}
/**
 * 请求总览已接入物联网数
 * 
 * @url /order/totaldata
 * @method get
 */
export function getJrjzsbs(params) {
  return request({
    url: '/system/zl/zhxf/jrjzsbs/list',
    method: 'get',
    params
  })
}
/**
 * 请求总览弹窗列表
 * 
 * @url /order/totaldata
 * @method get
 */
export function getJdjcUnit(params) {
  return request({
    url: '/system/gcjzjcxxcj/list',
    method: 'get',
    params
  })
}
/**
 * 请求总览弹窗建筑数量
 * 
 * @url /order/totaldata
 * @method get
 */
export function getGcjztjUnit(params) {
  return request({
    url: '/system/zl/jcxx/list',
    method: 'get',
    params
  })
}

export function getSxzbListToatl(params) {
  return request({
    url: '/system/zl/hzzb/sxzb/listToatl',
    method: 'get',
    params
  })
}
export function getQhyyListToatl(params) {
  return request({
    url: '/system/zl/hzzb/qhyy/listTotal',
    method: 'get',
    params
  })
}
export function getJqdtListWithZero(params) {
  return request({
    url: '/system/zl/jqdt/listWithZero',
    method: 'get',
    params
  })
}
export function getHzzbSxzbYoy(params) {
  return request({
    url: '/system/zl/hzzb/sxzb/yoy',
    method: 'get',
    params
  })
}
export function getJumpList(data) {
  return request({
    url: '/system/bjxx/jumpList',
    method: 'POST',
    data
  })
}
export function getDtskgzList(params) {
  return request({
    url: '/system/dtskgz/list',
    method: 'GET',
    params
  })
}
